curl --request GET \
--url https://api.example.com/plans \
--header 'Authorization: <authorization>'{
"data": [
{
"planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f",
"externalRef": "prod_stripe_abc",
"name": "Starter",
"description": "For small teams.",
"features": [
{ "description": "Up to 5 users", "type": "INCLUDE" },
{ "description": "Custom integrations", "type": "NOT_INCLUDE" }
],
"intervals": [
{ "planIntervalId": "019525fd-7e40-7c5a-b2d8-4e6f8a0c2e4a", "planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f", "externalRef": "price_stripe_m1", "interval": "MONTHLY", "amount": 4900, "currency": "BRL", "status": "ACTIVE", "createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "createdAt": "2026-01-01T00:00:00.000Z", "updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "updatedAt": "2026-01-01T00:00:00.000Z" },
{ "planIntervalId": "019525fd-7e40-7c5a-b2d8-5f7g9b1d3f5b", "planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f", "externalRef": "price_stripe_y1", "interval": "YEARLY", "amount": 47040, "currency": "BRL", "status": "ACTIVE", "createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "createdAt": "2026-01-01T00:00:00.000Z", "updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "updatedAt": "2026-01-01T00:00:00.000Z" }
],
"highlight": false,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"meta": { "page": 1, "limit": 20, "totalItems": 3, "totalPages": 1 }
}
Recuperar uma lista paginada de todos os planos com opcoes de filtragem e ordenacao.
curl --request GET \
--url https://api.example.com/plans \
--header 'Authorization: <authorization>'{
"data": [
{
"planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f",
"externalRef": "prod_stripe_abc",
"name": "Starter",
"description": "For small teams.",
"features": [
{ "description": "Up to 5 users", "type": "INCLUDE" },
{ "description": "Custom integrations", "type": "NOT_INCLUDE" }
],
"intervals": [
{ "planIntervalId": "019525fd-7e40-7c5a-b2d8-4e6f8a0c2e4a", "planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f", "externalRef": "price_stripe_m1", "interval": "MONTHLY", "amount": 4900, "currency": "BRL", "status": "ACTIVE", "createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "createdAt": "2026-01-01T00:00:00.000Z", "updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "updatedAt": "2026-01-01T00:00:00.000Z" },
{ "planIntervalId": "019525fd-7e40-7c5a-b2d8-5f7g9b1d3f5b", "planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f", "externalRef": "price_stripe_y1", "interval": "YEARLY", "amount": 47040, "currency": "BRL", "status": "ACTIVE", "createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "createdAt": "2026-01-01T00:00:00.000Z", "updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "updatedAt": "2026-01-01T00:00:00.000Z" }
],
"highlight": false,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"meta": { "page": 1, "limit": 20, "totalItems": 3, "totalPages": 1 }
}
plan:read.Show propriedades do plano
{
"data": [
{
"planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f",
"externalRef": "prod_stripe_abc",
"name": "Starter",
"description": "For small teams.",
"features": [
{ "description": "Up to 5 users", "type": "INCLUDE" },
{ "description": "Custom integrations", "type": "NOT_INCLUDE" }
],
"intervals": [
{ "planIntervalId": "019525fd-7e40-7c5a-b2d8-4e6f8a0c2e4a", "planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f", "externalRef": "price_stripe_m1", "interval": "MONTHLY", "amount": 4900, "currency": "BRL", "status": "ACTIVE", "createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "createdAt": "2026-01-01T00:00:00.000Z", "updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "updatedAt": "2026-01-01T00:00:00.000Z" },
{ "planIntervalId": "019525fd-7e40-7c5a-b2d8-5f7g9b1d3f5b", "planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f", "externalRef": "price_stripe_y1", "interval": "YEARLY", "amount": 47040, "currency": "BRL", "status": "ACTIVE", "createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "createdAt": "2026-01-01T00:00:00.000Z", "updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "updatedAt": "2026-01-01T00:00:00.000Z" }
],
"highlight": false,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"meta": { "page": 1, "limit": 20, "totalItems": 3, "totalPages": 1 }
}
curl https://api.awsales.io/admin/plans \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
| Status | Codigo | Descricao |
|---|---|---|
400 | validation_error | Entrada invalida ou campos obrigatorios ausentes |
401 | unauthorized | Autenticacao ausente ou invalida |
403 | forbidden | Permissoes insuficientes |
500 | internal_server_error | Ocorreu um erro inesperado |